<?php
// Switch current timeout to 10 seconds later

$ot = $this->object_title;
$updateStatus = (empty($params['timeout']));
//Say("$ot.maintenance($updateStatus)");

setTimeOut($ot . '_maintenance', "callMethod('" . $ot . ".maintenance', array('timeout'=>1) );", 10);


// Check if thermostat time fits in +/-3 minutes range

// Commented behaviour: Treat empty properties as valid by replacing with current time

$dayOfWeek = trim($this->getProperty('dayOfWeek').'');
//$dayOfWeek = intval( (strlen($dayOfWeek)>0) ? $dayOfWeek : 99);
$dayOfWeek = intval( (strlen($dayOfWeek)>0) ? $dayOfWeek : date('N'));

$hours = trim($this->getProperty('hours').'');
//$hours = intval( (strlen($hours)>0) ? $hours : 99);
$hours = intval( (strlen($hours)>0) ? $hours : date('H'));

$minutes = trim($this->getProperty('minutes').'');
//$minutes = intval( (strlen($minutes)>0) ? $minutes : 99);
$minutes = intval( (strlen($minutes)>0) ? $minutes : date('i'));

$t = ( date('N')*24 + date('H') ) * 60 + date('i');
$tTherm =  ( $dayOfWeek*24 + $hours ) * 60 + $minutes;

$dt = abs($tTherm - $t );

if( $dt > 7*24*60 - 60 ) $dt = abs(7*24*60 - $dt);
$tiv = ($dt<=3) ? 1 : 0;

if(  $this->getProperty('timeIsValid')  != $tiv ) $this->setProperty('timeIsValid', $tiv);


// Turn OFF Auto mode if enabled
if( $this->getProperty('autoMode').'' != '0' ) {
  $this->setProperty('autoMode', 0);
}



// Reset target temperature if Eco mode triggered or default target temperature changed

if( gg('EconomMode.active') ) {
  $mode = 'e';
  $target = $this->getProperty("targetTempEco").'';
} else {
  $mode = 'n';
  $target = $this->getProperty("targetTempNormal").'';
}

$lts = $this->getProperty("lastTargetSet").'';

if( strlen($lts)>0 ) {
  $lastMode = substr($lts,0,1);
  $lastTarget = substr($lts,1).'';
} else {
  $lastMode = 'z';
  $lastTarget = '';
}

if( ($mode != $lastMode) || ($target != $lastTarget) ) {
  if( ($target != '') && (floatval($target) != floatval($lastTarget)) ) {
    $this->callMethodSafe('setTemp', array('value'=> floatval($target)) );
    $updateStatus = true;
  }
  $this->setProperty("lastTargetSet", $mode.$target );
}

//echo("|$defaultTarget|$lastDefaultTarget|<br>");
if( $updateStatus ) {
  $this->callMethodSafe('statusUpdated');
  $this->callMethodSafe('keepAlive');
}


