<?php


@include_once(ROOT.'languages/SBeokThermostats_'.SETTINGS_SITE_LANGUAGE.'.php');
@include_once(ROOT.'languages/SBeokThermostats_default'.'.php');


$this->device_types['thermostat_beok'] = array(
    'TITLE'=>LANG_DEVICES_BEOKTHERMOSTAT_TITLE,
    'PARENT_CLASS'=>'SControllers',
    'CLASS'=>'SBeokThermostats',
    'DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_DESCRIPTION,
    'PROPERTIES'=>array(
        'active'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_ACTIVE.' [active]','ONCHANGE'=>'maintenance','_CONFIG_TYPE'=>'yesno','KEEP_HISTORY'=>365,'DATA_KEY'=>1),
        'autoMode'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_AUTOMODE.' [auto_mode]','_CONFIG_TYPE'=>'num'),
        'dayOfWeek'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_DAYOFWEEK.' [dayofweek]','_CONFIG_TYPE'=>'num'),
        'hours'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_HOURS.' [hour]','_CONFIG_TYPE'=>'num'),
        'minutes'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_MINUTES.' [min]','ONCHANGE'=>'maintenance','_CONFIG_TYPE'=>'num' ),
        'targetTemp'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_TARGETTEMP.' [thermostat_temp]','ONCHANGE'=>'maintenance','_CONFIG_TYPE'=>'num','KEEP_HISTORY'=>365,'DATA_KEY'=>1),
        'targetTempMin'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_TARGETTEMPMIN.' [svl]','_CONFIG_TYPE'=>'num'),
        'targetTempMax'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_TARGETTEMPMAX.' [svh]','_CONFIG_TYPE'=>'num'),
        'targetTempNormal'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_TARGETTEMPNORMAL,'ONCHANGE'=>'maintenance','_CONFIG_TYPE'=>'num','KEEP_HISTORY'=>365 ),
        'targetTempEco'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_TARGETTEMPECO,'ONCHANGE'=>'maintenance','_CONFIG_TYPE'=>'num','KEEP_HISTORY'=>365 ),
        'timeIsValid'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_TIMEISVALID,'_CONFIG_TYPE'=>'yesno','_CONFIG_HELP'=>LANG_DEVICES_BEOKTHERMOSTAT_TIMEISVALID_HELP), 
    ),
    'METHODS'=>array(
        'maintenance'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_MINUTESUPDATED),
        'setTemp'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_SETTEMP),
        'setTempNormal'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP),
        'tempDown'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_TEMPDOWN,'_CONFIG_SHOW'=>1),
        'tempUp'=>array('DESCRIPTION'=>LANG_DEVICES_BEOKTHERMOSTAT_TEMPUP,'_CONFIG_SHOW'=>1),
        'setTempNormal10'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,10),'_CONFIG_SHOW'=>1),
        'setTempNormal15'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,15),'_CONFIG_SHOW'=>1),
        'setTempNormal16'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,16),'_CONFIG_SHOW'=>1),
        'setTempNormal17'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,17),'_CONFIG_SHOW'=>1),
        'setTempNormal18'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,18),'_CONFIG_SHOW'=>1),
        'setTempNormal19'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,19),'_CONFIG_SHOW'=>1),
        'setTempNormal20'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,20),'_CONFIG_SHOW'=>1),
        'setTempNormal21'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,21),'_CONFIG_SHOW'=>1),
        'setTempNormal22'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,22),'_CONFIG_SHOW'=>1),
        'setTempNormal23'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,23),'_CONFIG_SHOW'=>1),
        'setTempNormal24'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,24),'_CONFIG_SHOW'=>1),
        'setTempNormal25'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,25),'_CONFIG_SHOW'=>1),
        'setTempNormal26'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,26),'_CONFIG_SHOW'=>1),
        'setTempNormal27'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,27),'_CONFIG_SHOW'=>1),
        'setTempNormal28'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,28),'_CONFIG_SHOW'=>1),
        'setTempNormal29'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,29),'_CONFIG_SHOW'=>1),
        'setTempNormal30'=>array('DESCRIPTION'=>sprintf(LANG_DEVICES_BEOKTHERMOSTAT_SETNTEMP_XX,30),'_CONFIG_SHOW'=>1),
    )
);
